package drawing;

import java.awt.*;
import java.util.Random;



public class Circle extends Shape{
	private double radius;
	
	public Circle(Point origin, double radius, Color color){
		Random r = new Random();
		this.origin = origin;
		this.radius = radius;
		this.color = color;
		this.hDirection = r.nextInt(2)+1;
		this.vDirection = r.nextInt(2)+3;
	}
	
	public void paint(Graphics g){
		g.setColor(color);
		g.fillOval((int)(origin.getX()-radius), (int)(origin.getY()-radius), (int)(2*radius), (int)(2*radius));
		g.setColor(Color.BLACK);
		g.drawOval((int)(origin.getX()-radius), (int)(origin.getY()-radius), (int)(2*radius), (int)(2*radius));
	}
	
	public boolean isOn(Point p) {
		return distanceToCenter(p)<radius;		
	}
	
	public boolean touchLine(Point p1, Point p2)
	{
		//calcul de la distance du centre  la ligne (p1,p2)
		double x0 = origin.x;
		double y0 = origin.y;
		double x1 = p1.x;
		double y1 = p1.y;
		double x2 = p2.x;
		double y2 = p2.y;
		double distance = Math.abs(((x2-x1)*(y1-y0)-(x1-x0)*(y2-y1)))/
				Math.sqrt(((x2-x1)*(x2-x1)+(y2-y1)*(y2-y1)));
		
		return (distance < radius);
	}

	
	private double distanceToCenter(Point p){
		return this.origin.distance(p);
	}
	
	


}
